
#include "equation.h"

///::title:: Shu-Osher
///::vars:: NX=512 CFL=0.5
///::consts:: MAXX=10.0 MAXT=1.8
///::consts:: N_UNIFORM=1 N_NORMAL=0
///::bc:: NEUMANN

void init_cell(PrimitiveVars &v, real x, real y, real z)
{
  if (x < 1.0) {
    v.rho = 3.857143;
    v.u[X] = 2.629369;
    v.p = 10.333333;
  } else {
    v.rho = 1.0 + 0.2*sin(5*(x-5));
    v.u[X] = 0.0;
    v.p = 1.0;
  }
}
