
#include "main.h"
#include "solver.h"
#include "ec_util.h"

///::title:: EC solver (Entropy Conservative) | for Shallow Water
///::consts:: ENTROPIC_RECONSTRUCTION=1 EC_TOPOGRAPHY_QUAD=1
///::depends:: ec_util

void solver_calc_flux(ConservedVars &F, vector &us, vector &Bs,
                      const AllVariables &lV, const AllVariables &rV,
                      int i, int j, int k, int d)
{
  // for EC flux, we get needed ConservedVars from ReconstructionVars U, Xtra
  
  ConservedVars lCV = U[i-DX[d]][j-DY[d]][k];
  ConservedVars rCV = U[i][j][k];
  XtraVars      lXV = Xtra[i-DX[d]][j-DY[d]][k];
  XtraVars      rXV = Xtra[i][j][k];
  
  ReconstVars_to_ConservedVars (lCV, lXV);
  ReconstVars_to_ConservedVars (rCV, rXV);
  
  // === EC flux
  
  ec_flux (F, lCV, rCV, lXV, rXV, d);
}
