
// Routines for hierarchical hat basis representations of random bottom topography

#include "numtypes.h"

// required resolution level
extern int HR_MAX;

// number of hierarchical hat basis functions in each level
extern int  J [HR+1];

// attenuation coefficient for each level
extern real C [HR+1];

// initializes structures for optimized hierarchical hat basis functio evaluation
void hierarchical_init (int NXl_full, int NYl_full);

// returns value of the j-th hierarchical hat basis function at the level m
real hr_basis_function (const real &x, const int &m, const int &j);

// returns value of the j-th hierarchical hat basis function at the level m that is positively shifted by half a cell
// only for levels m > 1
real hr_shifted_basis_function (const real &x, const int &m, const int &j);
