
#include "topography.h"

#include "equation.h"
#include "multi.h"
#include "chaos.h"

#define HEIGHT 1.0
#define SCALE_X 5.0
#define SCALE_Y 50.0
#define CENTER_X 1.0
#define CENTER_Y 1.0
#define PERTURBATION 0.1

///::title:: Bump (2D version)
///::consts:: T_UNIFORM=1 T_NORMAL=0

// parabolic "bump" centered at CENTER, with given HEIGHT and width being 2*WIDTH is perturbed with +/- PERTURBATION

real b (real x, real y) {
  real height = HEIGHT + PERTURBATION * (1 - 2*chaos.t_uniform[0]);
  return BED_OFFSET + BED_SCALING * height*exp( - SCALE_X*sqr(x - CENTER_X) - SCALE_Y*sqr(y - CENTER_Y) );
}
